#!/bin/sh
# /usr/local/sbin/start_hostapd.sh
# 2014-04-15 by zimon ät iki.fi
#
# See also http://www.sentabi.com/sharing-wireless-using-hostapd-on-fedora-17/

# IDEV is the device which has (workin) Internet address. 
# WDEV is the name of the wlan-device (see iwconfig)
IDEV=eth1
WDEV=wlp0s29u1u6

iwconfig $WDEV txpower auto

# IP-address space from where we give dynamic IP-addresses.
# Check the address range matches the ones in /etc/dnsmasq.d/wlan-ap.conf
ifconfig $WDEV 10.240.47.1/24 up

iptables -D INPUT -i $WDEV -j ACCEPT
iptables -I INPUT -i $WDEV -j ACCEPT

echo "1" > /proc/sys/net/ipv4/ip_forward
iptables -t nat -D POSTROUTING -o $IDEV -j MASQUERADE
iptables -t nat -A POSTROUTING -o $IDEV -j MASQUERADE
iptables -D FORWARD --in-interface $IDEV -o $WDEV -j ACCEPT
iptables -I FORWARD --in-interface $IDEV -o $WDEV -j ACCEPT
iptables -D FORWARD -o $IDEV -i $WDEV -j ACCEPT
iptables -I FORWARD -o $IDEV -i $WDEV -j ACCEPT

systemctl restart dnsmasq
systemctl restart hostapd

